exports.up = (knex) => {
	return knex.schema.createTable('participant', (table) => {
		table.uuid('id').primary();
		table.integer('account_id').unsigned();
		table.string('email');
		table.uuid('meeting_id').unsigned().notNullable();
		table.boolean('quorum');
		table.boolean('mandatory');
		table.boolean('host').notNullable();
		table.boolean('answered').notNullable();
		table.timestamps(true, true);
	});
};

exports.down = (knex) => {
	return knex.schema.dropTable('participant');
};
